{
  config,
  lib,
  pkgs,
  ...
}:

lib.mkIf (lib.elem "nvim::render-markdown-nvim" config.machine.services) {
  programs.nvim-lazy = {
    lazyPlugins = [
      {
        lazy = true;
        cmd = [ "RenderMarkdown" ];
        dir = vPlug: vPlug.render-markdown-nvim;
        ft = [
          "hurl"
          "markdown"
          "vimwiki"
        ];
        dependencies =
          vPlug: with vPlug; [
            "nvim-treesitter"
            nvim-web-devicons
          ];
        opts = {
          completions = {
            lsp = {
              enabled = true;
            };
          };
          latex = {
            converter = "${pkgs.python3Packages.pylatexenc}/bin/latex2text";
          };
        };
      }
    ];
  };
}
