{
  config,
  lib,
  pkgs,
  ...
}:

with lib;

mkIf (elem "plasmamobile" config.machine.services) {
  services.desktopManager.plasma6.enable = true;
  environment.plasma6.excludePackages = with pkgs.kdePackages; [
    konsole
    elisa
    gwenview # image viewer
    kate
    ktexteditor # provides elevated actions for Kate
    khelpcenter
    spectacle # screenshot utility, doesn't really work in mobile?
    krdp
    discover
  ];
  programs.zsh.loginShellInit = # bash
    ''
      if [[ "$(tty)" = "/dev/tty1" ]]; then
        startplasmamobile;
        # sleep infinity;
      fi;
    '';
  systemd.services."getty@tty1" = {
    overrideStrategy = "asDropin";
    serviceConfig.ExecStart = [
      ""
      "@${pkgs.util-linux}/sbin/agetty agetty --login-program ${config.services.getty.loginProgram} --autologin derped --noclear --keep-baud %I 115200,38400,9600 $TERM"
    ];
  };
  environment = {
    systemPackages = with pkgs; [
      ghostty
      kdePackages.qtvirtualkeyboard
      kdePackages.plasma-mobile
    ];
  };
}
